Package org.apache.sling.distribution.journal.shared

## Class DefaultDistributionLog

- java.lang.Object
- - org.apache.sling.distribution.journal.shared.DefaultDistributionLog

All Implemented Interfaces:
  `org.apache.sling.distribution.log.spi.DistributionLog`

    public class DefaultDistributionLog
    extends Object
    implements org.apache.sling.distribution.log.spi.DistributionLog

Default implementation of a `DistributionLog`

### Nested Class Summary

Nested Classes
`static class` `DefaultDistributionLog.LogLevel` Log level

### Constructor Summary

Constructors
`DefaultDistributionLog​(String name, Class<?> clazz, DefaultDistributionLog.LogLevel logLevel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(String fmt, Object... objects)`
`void` `error​(String fmt, Object... objects)`
`List<String>` `getLines()`
`String` `getName()`
`void` `info​(boolean silent, String fmt, Object... objects)`
`void` `info​(String fmt, Object... objects)`
`void` `warn​(String fmt, Object... objects)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDistributionLog

    public DefaultDistributionLog​(String name,
                                  Class<?> clazz,
                                  DefaultDistributionLog.LogLevel logLevel)

### Method Detail

#### getName

    public String getName()

#### getLines

    public List<String> getLines()

Specified by:
  `getLines` in interface `org.apache.sling.distribution.log.spi.DistributionLog`

#### error

    public void error​(String fmt,
                      Object... objects)

#### info

    public void info​(String fmt,
                     Object... objects)

#### info

    public void info​(boolean silent,
                     String fmt,
                     Object... objects)

#### debug

    public void debug​(String fmt,
                      Object... objects)

#### warn

    public void warn​(String fmt,
                     Object... objects)